---
id: "SimpleCalendar.NoteData"
title: "Interface: NoteData"
sidebar_label: "NoteData"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).NoteData

## Properties

### allDay

• **allDay**: `boolean`

___

### calendarId

• **calendarId**: `string`

___

### categories

• **categories**: `string`[]

___

### endDate

• **endDate**: [`DateTime`](../namespaces/SimpleCalendar.md#datetime)

___

### fromPredefined

• `Optional` **fromPredefined**: `boolean`

___

### macro

• `Optional` **macro**: `string`

___

### order

• **order**: `number`

___

### remindUsers

• **remindUsers**: `string`[]

___

### repeats

• **repeats**: [`NoteRepeat`](../enums/SimpleCalendar.api.NoteRepeat.md)

___

### startDate

• **startDate**: [`DateTime`](../namespaces/SimpleCalendar.md#datetime)
